uk.gov.hmrc.auth.core.retrieve

# Retrieval

###
Related Doc: package retrieve

#### trait Retrieval[A] extends AnyRef

A typed class that models what will be returned from auth upon a successful authorisation call

Linear Supertypes
AnyRef, Any
Known Subclasses
CompositeRetrieval, EmptyRetrieval, OptionalRetrieval, SimpleRetrieval
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Retrieval
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Abstract Value Members

1. #### abstract def propertyNames: Seq[String]

   The properties to return from a successful authorise call.

   The properties to return from a successful authorise call. These have to be explicitly supported by the auth service being called

   returns

     A list of property names to return.

2. #### abstract def reads: Reads[A]

   The Reads that will be used upon the returned JSON

   The Reads that will be used upon the returned JSON

   returns

     JSON Reads

### Concrete Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### def and[B](other: Retrieval[B]): Retrieval[~[A, B]]

   Allows simpler and more concise code for the lib user at the call site when authorising

   Allows simpler and more concise code for the lib user at the call site when authorising

   other

     The Retrieval to be joined with this Retrieval

   returns

     A Retrieval[A ~ B] that contains this Retrieval and the one passed in

5. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

6. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

7. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

8. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

9. #### def finalize(): Unit

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )

10. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

11. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

12. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

13. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

14. #### final def notify(): Unit

    Definition Classes
      AnyRef

15. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

16. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

17. #### def toString(): String

    Definition Classes
      AnyRef → Any

18. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

19. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

20. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from AnyRef

### Inherited from Any

### Ungrouped